\name{inspect}
\alias{inspect}
\alias{inspect.exp}
\title{
  Inspect the internal representation of an R object or expression
}
\description{
  \code{inspect} prints the internal representation of an R object (or the result of an expression).

  \code{inspect.exp} prints the internal representation of an R expression
  without evaluating it.
}
\usage{
inspect(obj, max.length=5, vector = FALSE, hex.string = FALSE)
inspect.exp(expr, max.length=5, vector = FALSE, hex.string = FALSE)
}
\arguments{
  \item{obj}{object or expression whose value is to be inspected}
  \item{expr}{expression to inspect}
  \item{max.length}{mow many elements of vectors should be printed at most}
  \item{vector}{print vector elements of native types (numeric, logical, ..)}
  \item{hex.string}{output strings also in hex}
}
\value{
  Always returns \code{NULL}.
}
\examples{
inspect.exp(a > 10 & b == "foo")
inspect(matrix(1:4,2))
}
\keyword{interface}
